Issue 7438

Title
General ledger for party required
Priority
feature
Status
resolved
Nosy list
ced, josesalvador, pokoli, reviewbot, risto3, roundup-bot
Assigned to
ced
Keywords
review

Created on 2018-05-17.12:22:55 by ced, last changed 1 month ago by roundup-bot.

Messages

New changeset cf480a9bf30c by Cédric Krier in branch 'default':
Add General Ledger per account and party
https://hg.tryton.org/tryton-env/rev/cf480a9bf30c
New changeset 864068d0f1ff by Cédric Krier in branch 'default':
Add General Ledger per account and party
https://hg.tryton.org/modules/account/rev/864068d0f1ff
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-07-31.12:53:35
Here is review314091002.
I based on an AccountParty model which uses the first move line between account and party as unique id. I did not find useful to make it visible to the user for now.
I did not convert the GL into a tree because:

- it can not be searched
- the composition of the unique ID may reach limits if the company has a lot of parties

so I choose to use a tree open action like for the lines.
I also added a tree open action from the GL account party to open the corresponding lines with the cumulate per party.
Author: [hidden] (risto3)
Date: 2020-05-03.12:24:51
It is unfortunate that this has stalled so long...

First, I'd like to recommend this be called 'auxiliary' reporting (Ledger and Trial Balance)
as that appears to be the generally accepted terminology for the subject.

This out of the way, the scope is easier as the task is the same as for general ledger but looped for all parties having movements in the period or at least an initial balance.

As to the auxiliary balance, it is somewhat the opposite of the aged balance.

That is, for the former, group by account then party .. the latter is grouped by party then by account

As with general ledger, it should be possible to filter based upon inital/end balance and mouvements (debit/credit) as well as which accounts and/or parties.
Author: [hidden] (josesalvador)
Date: 2018-07-05.20:00:10
Hi,

I'm very noob with tryton. Anyway I'm trying to contribute to this issue with this effort, in fact id my very first approach to tryton :-) :

https://bitbucket.org/numenalia/account/commits/7b4b43b8754e117933e481aab489b3b668f02cb0

It's only a draft, not completed, but I have had to stop 'cause I don't find the way to show a nested tree with distinct columns of its parent.

Is it possible??
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2018-05-17.18:00:05
On 2018-05-17 17:20, Sergi Almacellas Abellana wrote:
> > For me, this does not fulfill the requirement. We want to see the sub-account for each party with the debit/credit and balance.
> 
> Let me clarify: I agree with the requirement and with the pruposal. Just thought that may be a good addition to allow a check to enable or disable the "one row per party who has entries" like we do for party cumulate on general ledger lines.

For me, they should be children of of the account so they can be
expanded or not.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2018-05-17.17:20:20
> For me, this does not fulfill the requirement. We want to see the sub-account for each party with the debit/credit and balance.

Let me clarify: I agree with the requirement and with the pruposal. Just thought that may be a good addition to allow a check to enable or disable the "one row per party who has entries" like we do for party cumulate on general ledger lines.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2018-05-17.17:02:54
For me, this does not fulfill the requirement. We want to see the sub-account for each party with the debit/credit and balance.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2018-05-17.16:37:13
I'm wondering if we should not add a check on the context (which can be marked as default) to allow the user to compute the value per party or to see the sum of the account when the value is unchecked.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2018-05-17.12:22:55
For the accounts with party required, as we manage them as sub-account, we should display in the general ledger as children. It should be one row per party who has entries.
History
Date User Action Args
2020-09-05 22:22:05roundup-botsetmessages: + msg59972
2020-09-05 22:21:59roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg59971
2020-07-31 12:53:37reviewbotsetnosy: + reviewbot
messages: + msg59571
2020-07-31 12:53:35cedsetstatus: in-progress -> testing
reviews: 314091002
messages: + msg59570
keyword: + review
2020-07-28 14:38:19cedsetstatus: chatting -> in-progress
assignedto: ced
2020-05-03 12:24:52risto3setnosy: + risto3
messages: + msg57810
2018-07-05 20:00:10josesalvadorsetnosy: + josesalvador
messages: + msg42073
2018-05-17 18:00:05cedsetmessages: + msg40735
2018-05-17 17:20:20pokolisetmessages: + msg40734
2018-05-17 17:02:54cedsetmessages: + msg40732

Showing 10 items. Show all history (warning: this could be VERY long)